# hashBucket_s Struct Reference

## Data Fields

voidptr | key
voidptr * | data
int | dataCount
hashBucket | next

## Field Documentation

voidptr* hashBucket_s::data

| pointer to hashed data Definition at line 19 of file rpmhash.c. Referenced by htAddEntry(), htFree(), and htGetEntry().

int hashBucket_s::dataCount

| length of data (0 if unknown) Definition at line 20 of file rpmhash.c. Referenced by htAddEntry(), and htGetEntry().

voidptr hashBucket_s::key

| hash key Definition at line 18 of file rpmhash.c. Referenced by findEntry(), htAddEntry(), htFree(), and htGetEntry().

hashBucket hashBucket_s::next

| pointer to next item in bucket Definition at line 21 of file rpmhash.c. Referenced by findEntry(), htAddEntry(), and htFree().

The documentation for this struct was generated from the following file:

- rpmdb/rpmhash.c